1

Topic: iRedAdmin-Pro 3.6 upgrade - Any API changes?

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.99
- Deployed with iRedMail Easy or the downloadable installer? downloadable installer
- Linux/BSD distribution name and version: Centos 7
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): LDAP
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? 3.6
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

I have an automated system which uses the iRedAdmin restful API to create accounts.   The system was working great until yesterday.   Immediately after upgrading from iRedAdmin 3.5 to 3.6 the process stopped working.

I've checked the settings.py file and it still contains ENABLE_RESTFUL_API = True and RESTRICT_API_ACCESS = False.

Is there anything else this upgrade changed that may impact my ability to use the API?

Thanks,
Bob

2

Re: iRedAdmin-Pro 3.6 upgrade - Any API changes?

After some additional troubleshooting I've found some accounts are being created fine, others are not.   I'm seeing similar log entries in /var/log/messages for accounts which are submitted via the API but not created and those which are created.

Is there an additional log somewhere which would provide additional information on the api operation?   The messages file shows a status of 200 for accounts which are created and those which are not.

Thanks,
Bob

bdushok wrote:

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.99
- Deployed with iRedMail Easy or the downloadable installer? downloadable installer
- Linux/BSD distribution name and version: Centos 7
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): LDAP
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? 3.6
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

I have an automated system which uses the iRedAdmin restful API to create accounts.   The system was working great until yesterday.   Immediately after upgrading from iRedAdmin 3.5 to 3.6 the process stopped working.

I've checked the settings.py file and it still contains ENABLE_RESTFUL_API = True and RESTRICT_API_ACCESS = False.

Is there anything else this upgrade changed that may impact my ability to use the API?

Thanks,
Bob

3

Re: iRedAdmin-Pro 3.6 upgrade - Any API changes?

- What's the JSON message returned by your (failed) API request?
- Could you show us some detailed (failed) API requests for troubleshooting?

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

4

Re: iRedAdmin-Pro 3.6 upgrade - Any API changes?

Zhang,

I found the problem.   I had set up the password complexity options to not require special characters.   Unfortunately, I didn't follow your documentation and made the changes to default_settings.py and not to settings.py.   The upgrade overwrote default_settings.py with one which required special characters.   Our automated system was sending some passwords without special characters.   These were the accounts which were failing.

I've moved the password complexity variables to settings.py smile   This shouldn't happen again.

Thanks for your assistance.

Bob

   

ZhangHuangbin wrote:

- What's the JSON message returned by your (failed) API request?
- Could you show us some detailed (failed) API requests for troubleshooting?